package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StatusSuratIjin
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "StatusSuratIjin_M")
public class StatusSuratIjinVO extends BaseMasterVO {
	@Caption(value="Kode Status Surat Ijin")
	private Byte kdStatusSuratIjin;

	public void setKdStatusSuratIjin(Byte kdStatusSuratIjin) {
		this.kdStatusSuratIjin = kdStatusSuratIjin;
	}

	@Column(name = "KdStatusSuratIjin", nullable = false )
	public Byte getKdStatusSuratIjin(){
		return this.kdStatusSuratIjin;
	}

	@Caption(value="QStatus Surat Ijin")
	private Byte qStatusSuratIjin;

	public void setqStatusSuratIjin(Byte qStatusSuratIjin) {
		this.qStatusSuratIjin = qStatusSuratIjin;
	}

	@Column(name = "QStatusSuratIjin", nullable = false )
	public Byte getqStatusSuratIjin(){
		return this.qStatusSuratIjin;
	}

	@Caption(value="Status Surat Ijin")
	private String statusSuratIjin;

	public void setStatusSuratIjin(String statusSuratIjin) {
		this.statusSuratIjin = statusSuratIjin;
	}

	@Column(name = "StatusSuratIjin", nullable = false , length = 30)
	public String getStatusSuratIjin(){
		return this.statusSuratIjin;
	}


}

